import Taro from "@tarojs/taro";
import classnames from "classnames";

import { Component, PropsWithChildren, useEffect, useState } from "react";
import { Block, View, Text, Image, Input, Button } from "@tarojs/components";

import "./template.less";

export default class Index extends Component<any, any> {
  constructor(props) {
    super(props);
    this.state = {
      name: "template模板页",
    };
  }

  async onLoad() {}
  componentDidMount() {}

  componentWillUnmount() {}

  componentDidShow() {}

  componentDidHide() {}

  async initData() {}

  render() {
    let { name } = this.state;
    return (
      <Block>
        <View>{name}</View>
      </Block>
    );
  }
}
